Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.util
Class CommandLineProperties

    java.lang.Object
      java.util.Dictionary
          java.util.Hashtable
              java.util.Properties
                  gecco.util.CommandLineProperties

All Implemented Interfaces:
  Cloneable, Map, Serializable

public class CommandLineProperties
extends Properties

Description of the Class

Author:
  Karl Hasselström
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`CommandLineProperties()` Constructor for the CommandLineProperties object
`CommandLineProperties(String[] args)` Constructor for the CommandLineProperties object

Method Summary
`boolean` | `getBooleanProperty(String key)` Gets the BooleanProperty attribute of the CommandLineProperties object
`double` | `getDoubleProperty(String key, double defaultVal)` Gets the DoubleProperty attribute of the CommandLineProperties object
`int` | `getIntProperty(String key, int defaultVal)` Gets the IntProperty attribute of the CommandLineProperties object
`String` | `getStringProperty(String key, String defaultVal)` Gets the StringProperty attribute of the CommandLineProperties object
`void` | `loadCommandLine(String[] args)` Description of the Method

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, propertyNames, save, setProperty, store`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommandLineProperties

    public CommandLineProperties()

  Constructor for the CommandLineProperties object

### CommandLineProperties

    public CommandLineProperties(String[] args)

  Constructor for the CommandLineProperties object

Parameters:
  `args` - Description of Parameter

Method Detail

### getDoubleProperty

    public double getDoubleProperty(String key,
                                    double defaultVal)

  Gets the DoubleProperty attribute of the CommandLineProperties object

  Parameters:
    `key` - Description of Parameter
    `defaultVal` - Description of Parameter
  Returns:
    The DoubleProperty value

### getIntProperty

    public int getIntProperty(String key,
                              int defaultVal)

  Gets the IntProperty attribute of the CommandLineProperties object

  Parameters:
    `key` - Description of Parameter
    `defaultVal` - Description of Parameter
  Returns:
    The IntProperty value

### getStringProperty

    public String getStringProperty(String key,
                                    String defaultVal)

  Gets the StringProperty attribute of the CommandLineProperties object

  Parameters:
    `key` - Description of Parameter
    `defaultVal` - Description of Parameter
  Returns:
    The StringProperty value

### getBooleanProperty

    public boolean getBooleanProperty(String key)

  Gets the BooleanProperty attribute of the CommandLineProperties object

  Parameters:
    `key` - Description of Parameter
  Returns:
    The StringProperty value

### loadCommandLine

    public void loadCommandLine(String[] args)

  Description of the Method

  Parameters:
    `args` - Description of Parameter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD